This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 966331 - (CVE-2013-3561) CVE-2013-3561 wireshark: Multiple Denial of Service flaws
CVE-2013-3561 wireshark: Multiple Denial of Service flaws
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20130517,reported=2...
: Security
: 965110 965111 (view as bug list)
Depends On: 881873 965942 979246 994924
Blocks: 965198 974906
  Show dependency treegraph
 
Reported: 2013-05-23 01:29 EDT by Huzaifa S. Sidhpurwala
Modified: 2013-11-22 00:49 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-22 00:49:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2013-05-23 01:29:41 EDT
Denial of Service flaws were found in the way MySQL dissector, ETCH dissector and Websocket dissector of Wireshark.  a network traffic analyzer, processed certain packet capture files. A remote attacker could provide a specially-crafted  packet capture file that, when processed, would lead to tshark executable crash.

Reference:

http://seclists.org/oss-sec/2013/q2/378

Upstream advisory:
http://www.wireshark.org/security/wnpa-sec-2013-29.html - bug 8448
http://www.wireshark.org/security/wnpa-sec-2013-30.html
http://www.wireshark.org/security/wnpa-sec-2013-31.html

Uptream patches:

Websocket dissector:
http://anonsvn.wireshark.org/viewvc?view=revision&revision=48336

ETCH dissector:
http://anonsvn.wireshark.org/viewvc?view=revision&revision=48919

MySQL dissector:
http://anonsvn.wireshark.org/viewvc?view=revision&revision=48894
Comment 1 Huzaifa S. Sidhpurwala 2013-05-23 01:36:06 EDT
*** Bug 965110 has been marked as a duplicate of this bug. ***
Comment 2 Huzaifa S. Sidhpurwala 2013-05-23 01:36:29 EDT
*** Bug 965111 has been marked as a duplicate of this bug. ***
Comment 4 Huzaifa S. Sidhpurwala 2013-05-23 01:41:37 EDT
From all of the issues listed in comment #0, Red Hat Enterprise Linux 6 is affected by the MySQL dissector flaw.
Comment 6 Huzaifa S. Sidhpurwala 2013-05-23 01:42:46 EDT
Created wireshark tracking bugs for this issue

Affects: fedora-17 [bug 881873]
Affects: fedora-18 [bug 965942]
Comment 7 errata-xmlrpc 2013-11-21 02:32:03 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:1569 https://rhn.redhat.com/errata/RHSA-2013-1569.html
Comment 8 Huzaifa S. Sidhpurwala 2013-11-22 00:49:39 EST
Statement:

(none)

Note You need to log in before you can comment on or make changes to this bug.